| Classes - Annotated - Tree - Functions - Home - Structure

# QShared Class Reference

The QShared struct is internally used for implementing shared classes. More...

`#include <qshared.h>`

Inherited by QGLayoutIterator, QGuardedPtrPrivate, QMapPrivateBase, QStringData, QValueListPrivate and QVariantPrivate.

List of all member functions.

## Detailed Description

The QShared struct is internally used for implementing shared classes.

It only contains a reference count and member functions to increment and decrement it.

Shared classes normally have internal classes that inherit QShared and add the shared data.

See also Shared Classes

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.